#!/bin/sh

if test -z "$ACLOCAL" ; then
 for each in aclocal aclocal-1.7 aclocal-1.6 aclocal-1.5 ; do
   ACLOCAL=$each
   if test -n "`which $each`" ; then break ; fi
 done
fi

ACDIR=`which $ACLOCAL`
ACDIR=`dirname $ACDIR`
ACDIR=`dirname $ACDIR`/share/aclocal
GTDIR=`gtk-config --prefix`/share/aclocal
GUDIR=`guile-config info prefix`/share/aclocal

AFLAGS="-I macros "
for each in $GUDIR $GTDIR $G2DIR $G1DIR $ACDIR ; do
    if test -d "$each"  ; then 
	AFLAGS="-I $each $AFLAGS"
	break
    fi
done

echo $ACLOCAL $AFLAGS $@
$ACLOCAL $AFLAGS $@
